Up

# NSRulerMarker

### Authors

Fred Kiefer (`FredKiefer@gmx.de`)

> Displays a symbol in a NSRulerView.

Copyright: (C) 2001 Free Software Foundation, Inc.

# Software documentation for the NSRulerMarker class

## NSRulerMarker : NSObject

> Declared in:
>   AppKit/NSRulerMarker.h

> Conforms to:
>   NSCopying
>   NSCoding

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -drawRect:
- -image
- -imageOrigin
- -imageRectInRuler
- -initWithRulerView:markerLocation:image:imageOrigin:
- -isDragging
- -isMovable
- -isRemovable
- -markerLocation
- -representedObject
- -ruler
- -setImage:
- -setImageOrigin:
- -setMarkerLocation:
- -setMovable:
- -setRemovable:
- -setRepresentedObject:
- -thicknessRequiredInRuler
- -trackMouse:adding:

### drawRect:

- (void) drawRect: (NSRect)aRect;

Description forthcoming.

### image

- (NSImage*) image;

Description forthcoming.

### imageOrigin

- (NSPoint) imageOrigin;

Description forthcoming.

### imageRectInRuler

- (NSRect) imageRectInRuler;

Description forthcoming.

### initWithRulerView:markerLocation:image:imageOrigin:

- (id) initWithRulerView: (NSRulerView*)aRulerView markerLocation: (float)location image: (NSImage*)anImage imageOrigin: (NSPoint)imageOrigin;

Description forthcoming.

### isDragging

- (BOOL) isDragging;

Description forthcoming.

### isMovable

- (BOOL) isMovable;

Description forthcoming.

### isRemovable

- (BOOL) isRemovable;

Description forthcoming.

### markerLocation

- (float) markerLocation;

Description forthcoming.

### representedObject

- (id<NSCopying>) representedObject;

Description forthcoming.

### ruler

- (NSRulerView*) ruler;

Description forthcoming.

### setImage:

- (void) setImage: (NSImage*)anImage;

Description forthcoming.

### setImageOrigin:

- (void) setImageOrigin: (NSPoint)aPoint;

Description forthcoming.

### setMarkerLocation:

- (void) setMarkerLocation: (float)location;

Description forthcoming.

### setMovable:

- (void) setMovable: (BOOL)flag;

Description forthcoming.

### setRemovable:

- (void) setRemovable: (BOOL)flag;

Description forthcoming.

### setRepresentedObject:

- (void) setRepresentedObject: (id<NSCopying>)anObject;

Description forthcoming.

### thicknessRequiredInRuler

- (float) thicknessRequiredInRuler;

Description forthcoming.

### trackMouse:adding:

- (BOOL) trackMouse: (NSEvent*)theEvent adding: (BOOL)adding;

Description forthcoming.

Up